Subject: RE: [Megaco] parameters not defined in annex m advanced audio pac kage.

From: "Tom-PT Taylor" <[email-masked]>
Date: Mon, 30 Jul 2001 09:45:07 -0400

The timers aren't required because Annex M uses the protocol's digitMap
mechanism, which includes those timers.  I'll have to check out the other
parameters.

-----Original Message-----
From: kris [mailto:[email-masked]]
Sent: Monday, July 30, 2001 12:44 AM
To: megaco
Subject: [Megaco] parameters not defined in annex m advanced audio package.

hi all,
 
i require some help with regard to announcement package defined in annex M
-advanced audio server packages.
 
The follwoing parameters for play collect are provided for annonucement
package defined MGCP.
But these parameters are not defined in the MEGACO annex M package.
Are they not required in here.
 
please clarify and if they have been defined where can i find them..
 
please help.
 
first digit timer
inter digit timer
extra digit timer
position key
stop key
start input key
end input key
include end input key
maximum # of digits
minimum # of digits

regards
kris

---

From: "David Cromwell" <[email-masked]>
Date: Mon, 30 Jul 2001 11:19:40 -0400

Kris,

Annex M.1 represents an evolution from the MGCP package so there are some
significant differences between it and RFC 2897.  When Annex M.1 is
standardized we'll propagate any changes to an upissued MGCP package or
packages.  

The max/min digits parameters were dropped because in Annex M.1 all digit
collection is done via the digit map.  The start input, end input, and
include end input keys were dropped for the same reason.  The pos key was
dropped because it is  a low runner function and it doesn't make sense for
all vendors to implement it.  If there is a demand for this key then it
should become part of a separate package.  Note that you could also
implement this function in the MGC.

Regards,
David
--
[email-masked]                   Nortel Networks Cable
Telephony Solutions, Inc. 
Tel:   919-991-8870  (esn 351)                     35 Davis Dr
Fax:  919-991-4088                                    RTP, NC 27709

> From:	kris [SMTP:[email-masked]]